ControllerActionConventions (Grails 6.0.0)

Package: org.grails.web.mapping

## [Groovy] Class ControllerActionConventions

- org.grails.web.mapping.ControllerActionConventions

-     class ControllerActionConventions
      extends java.lang.Object

  Includes constants for common conventions for controller actions

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.String` | `ACTION_CREATE` |
    `private static java.lang.String` | `ACTION_DELETE` |
    `private static java.lang.String` | `ACTION_EDIT` |
    `private static java.lang.String` | `ACTION_INDEX` |
    `private static java.lang.String` | `ACTION_SAVE` |
    `private static java.lang.String` | `ACTION_SHOW` |
    `private static java.lang.String` | `ACTION_UPDATE` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.lang.String` | `ACTION_CREATE`
    `static java.lang.String` | `ACTION_DELETE`
    `static java.lang.String` | `ACTION_EDIT`
    `static java.lang.String` | `ACTION_INDEX`
    `static java.lang.String` | `ACTION_SAVE`
    `static java.lang.String` | `ACTION_SHOW`
    `static java.lang.String` | `ACTION_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ControllerActionConventions ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static java.lang.String ACTION_CREATE

    - #### private static java.lang.String ACTION_DELETE

    - #### private static java.lang.String ACTION_EDIT

    - #### private static java.lang.String ACTION_INDEX

    - #### private static java.lang.String ACTION_SAVE

    - #### private static java.lang.String ACTION_SHOW

    - #### private static java.lang.String ACTION_UPDATE

  - ### Property Detail

    - #### static java.lang.String ACTION_CREATE

    - #### static java.lang.String ACTION_DELETE

    - #### static java.lang.String ACTION_EDIT

    - #### static java.lang.String ACTION_INDEX

    - #### static java.lang.String ACTION_SAVE

    - #### static java.lang.String ACTION_SHOW

    - #### static java.lang.String ACTION_UPDATE

  - ### Constructor Detail

    - #### ControllerActionConventions()